FROM eclipse-temurin:17-jdk-centos7 as build
WORKDIR /workspace/app 

COPY mvnw .
COPY .mvn .mvn
COPY pom.xml .
COPY src src

RUN ./mvnw install -DskipTests
RUN mkdir -p target/dependency && (cd target/dependency; jar -xf ../*.jar)

FROM eclipse-temurin:17-jdk-centos7
VOLUME /tmp  
ARG DEPENDENCY=/workspace/app/target/dependency
COPY --from=build ${DEPENDENCY}/BOOT-INF/lib /app/lib
COPY --from=build ${DEPENDENCY}/META-INF /app/META-INF
COPY --from=build ${DEPENDENCY}/BOOT-INF/classes /app
ENV PORT 5000
EXPOSE $PORT
ENTRYPOINT ["java","-cp","app:app/lib/*","-Dserver.port=${PORT}","com.example.demo.DemoApplication"]

